Bug 480417 - No auto mount of user's home directory for nis (yp) authenticated user
No auto mount of user's home directory for nis (yp) authenticated user
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yp-tools (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-16 17:42 EST by Normand Robert
Modified: 2013-03-03 17:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:37:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Normand Robert 2009-01-16 17:42:31 EST
Description of the problem:

In the EOL Fedora 8, the automounter was nis aware and the use of
nis authentication would result in automounting of a user's
home dir without additional configuration. This is no longer the
case. Fedora 8 was one of few distros where this worked out of
the box.

Version-Release number of selected component (if applicable):

rpm -qa | grep yp-tools
yp-tools-2.9-4.i386

Probably not the right component but there is no netfs choice in
bugzilla


yum updated system 2009/01/16 and rebooted

How reproducible:

Always

Steps to Reproduce:

On target system with firewall off and no other user logged except for root

1. Turn off network manager because it breaks nis for some reason
[root@srpc030206 ~]# /etc/init.d/NetworkManager stop 

It is permanently disabled on my system.

2. restart netfs

[root@srpc030206 etc]# /etc/init.d/netfs restart
Unmounting NFS filesystems:                                [  OK  ]
Mounting other filesystems:                                [FAILED]

3. Turn on previously configured nis service (we broadcast for a server)

[root@srpc030206 ~]# /etc/init.d/ypbind start
Starting NIS service:                                      [  OK  ]
Binding NIS service:                                       [  OK  ]


4. Check it

[root@srpc030206 ~]# ypwhich
billy.sunnybrook.utoronto.ca


5. Log in from a remote system with user requiring nis and notice no home dir

[robert@panda ~]$ ssh robert@srpc030206
robert@srpc030206's password: 
Last login: Fri Jan 16 14:07:36 2009 from panda.sunnybrook.utoronto.ca
Could not chdir to home directory /home16/robert: No such file or directory
-bash-3.2$ 
-bash-3.2$ 
-bash-3.2$ exit


6. Mount that same file system as root for the user
mount -t nfs resnfs:/export/home16 /home16
df | grep home16

6. Log in with no problem

ssh robert@srpc030206
robert@srpc030206's password: 
Last login: Fri Jan 16 14:43:51 2009 from panda.sunnybrook.utoronto.ca
[robert@srpc030206 ~]$ pwd
/home16/robert


Actual results:

No automount of file system needed by user

Expected results:

Automount of file system needed by user

Additional info:
Comment 1 Bug Zapper 2009-11-18 05:46:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:37:34 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.